import axios  from 'axios';

var apiInstance=axios.create({
    baseURL:'',
    timeout:10000,
    withCredentials:true
})

/*为请求添加请求头中的token*/
apiInstance.interceptors.request.use(config=>{
    if(sessionStorage.token){
        config.headers.Authorization="bearer "+sessionStorage.getItem('token');
        if(typeof(config.params) == "undefined"){
            config.params={}
        }
    }
    return config;//赋值完后把config返回回去
},error => {
    // 请求错误后把我们的error返回回去
    return Promise.reject(error);
})
/*获取网点*/
export const getNetworkInfo = params =>{
    return apiInstance.get(`/api/basic-info/v1/basic-info/basic-network-info/get-network-info`,{params});
};

//获取用领取记录
export const getUserCollectRecord = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-provide-record`, {params})
}

//获取库存信息
export const getStockInfo = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-basic-info/basic-info`, {params})
}

//用户领取次数
export const getUserReceiveNum = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-provide-record/number/${params.residentId}`, {params})
}

//填写随访记录
export const addVisitRecord = params => {
    return apiInstance.post(`/api/stock-info/v1/stock-info/stock-visit-info`, params)
}

//确认领取药具
export const getMedical = params => {
    return apiInstance.post(`/api/stock-info/v1/stock-info/stock-provide-record`, params)
}
